summaryrefslogtreecommitdiff
path: root/bin/extra/wipe
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2024-04-16 10:09:29 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2024-04-16 10:09:29 +0200
commit692bc52c20da866630fa401be6740bc38f8f8574 (patch)
treebe52e621dbbb15bfd2f43ec92053e4b0a817c392 /bin/extra/wipe
parent197a1a74f468d9d69d624b19f90280a3946455e5 (diff)
parent19ea61db733c9152f2b334b0ae9871f81ac3664d (diff)
Merge branch 'main' of debuc.com:dotfiles
Diffstat (limited to 'bin/extra/wipe')
-rwxr-xr-xbin/extra/wipe4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/extra/wipe b/bin/extra/wipe
index ec2abe9..6006b8e 100755
--- a/bin/extra/wipe
+++ b/bin/extra/wipe
@@ -2,8 +2,8 @@
[ 0 -eq "$#" ] && >&2 echo 'usage: wipe <file>' && exit 1
[ ! -f "$1" ] && [ ! -d "$1" ] && >&2 echo "'$1' not found." && exit 1
-confirm "sure?" || exit 1
->&2 printf "\n"
+printf "sure? "
+[ "$(head -n 1)" != "y" ] && exit 1
find "$1" -type f -print0 |
xargs -0I{} shred -uz "{}" &&